# Uses of Class
org.eclipse.swt.widgets.TableColumn

Packages that use TableColumn
Package
Description
org.eclipse.swt.widgets

## Uses of TableColumn in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return TableColumn
Modifier and Type
Method
Description
`TableColumn`
Table.`getColumn(int index)`
Returns the column at the given, zero-relative index in the receiver.
`TableColumn[]`
Table.`getColumns()`
Returns an array of `TableColumn`s which are the columns in the receiver.
`TableColumn`
Table.`getSortColumn()`
Returns the column which shows the sort indicator for the receiver.
Methods in org.eclipse.swt.widgets with parameters of type TableColumn
Modifier and Type
Method
Description
`int`
Table.`indexOf(TableColumn tableColumn)`
Searches the receiver's list starting at the first column (index 0) until a column is found that is equal to the argument, and returns the index of that column.
`void`
Table.`setSortColumn(TableColumn column)`
Sets the column used by the sort indicator for the receiver.
`void`
Table.`showColumn(TableColumn column)`
Shows the column.